Microsoft's Fix for the Meltdown vulnerability

Author: nico.peereboom@uniface.com (Nico Peereboom)

Important message from Uniface Technical Support Please be informed that there is a good chance that the Uniface Anywhere host will be incompatible with the Windows Updates that Microsoft plans to release today. Last week Microsoft released their fix for the Meltdown vulnerability for Windows 10 systems, and according to the press, they plan to release their fix for other Windows operating systems tomorrow. Microsoft’s fix for the Meltdown vulnerability is major change to the operating system, and it is causing compatibility problems with many Antivirus programs. Uniface Anywhere has a similar architecture to Antivirus products, and it is incompatible with the Windows 10 Update that Microsoft released last week. Given this, we expect that Microsoft’s fix for the Meltdown vulnerability will also be incompatible with Uniface Anywhere on the other versions of Windows.   We have a fix for this incompatibility on Windows 10, but we have to wait until Microsoft releases its updates today to test the fix on the other operating systems. Then it will take us a few days to prepare the release. Given this, please do not apply Windows Updates to any of your servers until further notice!   The Uniface Technical Support Team.

4 Comments

  1. Hi support, Thanks for the prompt update. Windows10 systems are mentioned into the bulletin. It includes Windows Server 2016 being on the same codeline. Which other Windows Server version are involved? 2012 R2, 2012, None? Regards, Gianni


    Author: gianni (gianni.sandigliano@unifacesolutions.com)
  2. We currently do not know which versions of Windows will be fixed with the fix that is working for the Windows 10 environment. We will have to wait until Microsoft has released their fix for the Meltdown vulnerability on the following additional supported OS platforms for Uniface Anywhere 5.0.2 before we can say anything about it. Windows 8.1, Windows 8 Windows Server 2016 Windows Server 2012 R2 Windows Server 2012 Windows Server 2008 R2 Windows 7 SP1 All of them being 64-bit.   As soon as we have more information, we will announce it here.


    Author: Nico Peereboom (nico.peereboom@uniface.com)
  3. As expected, we have found incompatibilities with Uniface Anywhere and the Windows Updates that Microsoft released this week. Specifically, all versions of Uniface Anywhere are incompatible with the latest updates to Windows 7 and Windows 8.1. All versions of Uniface Anywhere are also incompatible with the latest updates to Windows Server 2008 R2 and Windows Server 2012 R2, but only when Microsoft’s fix for the Meltdown and Spectre vulnerabilities is enabled via specific registry modifications. When one of the incompatible Windows Updates is installed and enabled on a Uniface Anywhere host, Uniface Anywhere sessions fail to start. It is important to note that Uniface Anywhere is only incompatible on the server versions of Windows when specific registry values are set. Microsoft intends for Antivirus programs that support Microsoft’s fix to set these registry values and enable the fix, but it is not clear that Antivirus programs are doing this. We have not yet seen the Meltdown/Spectre fix enabled on any of our test systems that are running server versions of Windows, and we have not yet had any customers report incompatibilities with a server version of Windows. We do not know when Antivirus programs or Microsoft will enable the Meltdown/Spectre fix on the server versions of Windows.   More information on this when it becomes available.   The Uniface Technical Support Team.


    Author: Nico Peereboom (nico.peereboom@uniface.com)
  4. Uniface is pleased to announce the update that fixes the incompatibility with the Microsoft’s fix for the Meltdown and Spectre vulnerabilities. The update is available at: https://download.uniface.com/downloads/UnifaceAnywhere/v5/Meltdown-Spectre/ for Uniface Anywhere Version 5.0.2.25362. For 64-bit UA v5.0.2.25362 Host environments download and install V5x64UAHost-Meltdown-Spectre-C07.exe For installation instructions, supported host platforms and for which Uniface Anywhere version builds this patch is applicable, see the corresponding readme file (V5x64UAHost-Meltdown-Spectre-C07.txt) available in the appropriate download directory.   NOTE: This patch can ONLY be used on top of Uniface Anywhere version 5.0.2.25362. If you are running a previous version of Uniface Anywhere, please upgrade first to version 5.0.2.25362 BEFORE installing this patch. You can download Uniface Anywhere version 5.0.2.25362 from here: https://unifaceinfo.com/forum/uniface-anywhere/uniface-anywhere-5-0-2-25362-is-available-for-download/   The Uniface Anywhere Support Team


    Author: Nico Peereboom (nico.peereboom@uniface.com)